ZF-4523: Zend_Captcha requiring Zend_View instead of Zend_View_Interface on render(): Breaks third party view adapters

Issue Type: Bug Created: 2008-10-08T11:06:51.000+0000 Last Updated: 2008-12-01T13:50:45.000+0000 Status: Resolved Fix version(s): - 1.7.1 (01/Dec/08)

Reporter: Daniel Cousineau (dcousineau) Assignee: Matthew Weier O'Phinney (matthew) Tags: - Zend_Captcha

Related issues: Attachments:


Zend_Captcha_Adapter's default render() method signature is:

public function render(Zend_View $view, $element = null);

However, when using a different view adapter for the Zend_Framework (for example, Dwoo) a fatal error is thrown because an instance of an object that implements Zend_View_Interface but is not Zend_View is passed. All render() methods should be:

public function render(Zend_View_Interface $view, $element = null);

Classes that need to be changed: Zend_Captcha_Adapter Zend_Captcha_Dumb Zend_Captcha_Figlet Zend_Captcha_Image Zend_Captcha_ReCaptcha


Posted by Rob Allen (rob) on 2008-10-31T14:46:45.000+0000

Fixed by Stas in SVN r12101

Posted by Wil Sinclair (wil) on 2008-11-13T14:10:14.000+0000

Changing issues in preparation for the 1.7.0 release.

Posted by Wil Sinclair (wil) on 2008-12-01T13:50:45.000+0000

Updating these issues to mark them resolved for 1.7.1.

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.